Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.gui.viewer
Class InvertedScrollPaneLayout

    java.lang.Object
      |
      +--javax.swing.ScrollPaneLayout
            |
            +--uk.ac.man.bioinf.gui.viewer.InvertedScrollPaneLayout

All Implemented Interfaces:
  LayoutManager, ScrollPaneConstants, Serializable

public class InvertedScrollPaneLayout
extends ScrollPaneLayout

InvertedScrollPaneLayout.java Created: Fri Mar 31 14:27:41 2000

Version:
  $Id: InvertedScrollPaneLayout.java,v 1.3 2001/04/11 17:04:42 lord Exp $
Author:
  Phillip Lord
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.ScrollPaneLayout
`ScrollPaneLayout.UIResource`

Field Summary

Fields inherited from class javax.swing.ScrollPaneLayout
`colHead, hsb, hsbPolicy, lowerLeft, lowerRight, rowHead, upperLeft, upperRight, viewport, vsb, vsbPolicy`

Fields inherited from interface javax.swing.ScrollPaneConstants
`COLUMN_HEADER, HORIZONTAL_SCROLLBAR, HORIZONTAL_SCROLLBAR_ALWAYS, HORIZONTAL_SCROLLBAR_AS_NEEDED, HORIZONTAL_SCROLLBAR_NEVER, HORIZONTAL_SCROLLBAR_POLICY, LOWER_LEADING_CORNER, LOWER_LEFT_CORNER, LOWER_RIGHT_CORNER, LOWER_TRAILING_CORNER, ROW_HEADER, UPPER_LEADING_CORNER, UPPER_LEFT_CORNER, UPPER_RIGHT_CORNER, UPPER_TRAILING_CORNER, VERTICAL_SCROLLBAR, VERTICAL_SCROLLBAR_ALWAYS, VERTICAL_SCROLLBAR_AS_NEEDED, VERTICAL_SCROLLBAR_NEVER, VERTICAL_SCROLLBAR_POLICY, VIEWPORT`

Constructor Summary
`InvertedScrollPaneLayout()`

Method Summary
`void` | `layoutContainer(Container parent)`

Methods inherited from class javax.swing.ScrollPaneLayout
`addLayoutComponent, addSingletonComponent, getColumnHeader, getCorner, getHorizontalScrollBar, getHorizontalScrollBarPolicy, getRowHeader, getVerticalScrollBar, getVerticalScrollBarPolicy, getViewport, getViewportBorderBounds, minimumLayoutSize, preferredLayoutSize, removeLayoutComponent, setHorizontalScrollBarPolicy, setVerticalScrollBarPolicy, syncWithScrollPane`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InvertedScrollPaneLayout

    public InvertedScrollPaneLayout()

Method Detail

### layoutContainer

    public void layoutContainer(Container parent)

  Specified by:
    `layoutContainer` in interface `LayoutManager`
  Overrides:
    `layoutContainer` in class `ScrollPaneLayout`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD